Loading...
Searching...
No Matches
LeafBuffer.h File Reference
`#include <openvdb/Types.h>`
`#include <openvdb/io/Compression.h>`
`#include <openvdb/util/NodeMasks.h>`
`#include <tbb/spin_mutex.h>`
`#include <algorithm>`
`#include <atomic>`
`#include <cstddef>`
`#include <iostream>`
`#include <memory>`
`#include <type_traits>`

Go to the source code of this file.

## Classes

class | LeafBuffer< T, Log2Dim >
| Array of fixed size 23Log2Dim that stores the voxel values of a LeafNode. More...
class | LeafBuffer< bool, Log2Dim >

## Namespaces

namespace | openvdb
namespace | openvdb::v10_0
namespace | openvdb::v10_0::tree

## Variables

template<typename T, Index Log2Dim>
const T | LeafBuffer< T, Log2Dim >::sZero = zeroVal<T>()
template<Index Log2Dim>
const bool | LeafBuffer< bool, Log2Dim >::sOn = true
template<Index Log2Dim>
const bool | LeafBuffer< bool, Log2Dim >::sOff = false